/*
    Copyright (C) 1998  Michael Ravits

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _SCREEN_H
#define _SCREEN_H


class screen
{
  private:
	WINDOW	*main_window, *input_window, *help_window;
	int	win_lines;
	int	cursor;
	int	idx;
	int	song_range, song_offset;
	int	balance, volume, master_volume;
	char	*song_timecode;
	char	*song_duration;
	char	*song_info;
	char	*range_offset;
  public:
	screen(class stuff &, class playlist &, class player &);
	~screen(void);
	void	draw_screen(class stuff &, class playlist &, class player &);
	void	set_params(int, int);
	int	rcursor(void);
	int	ridx(void);
	int	rwin_lines(void);
	int	rsong_range(void);
	int	rsong_offset(void);
	int	rbalance(void);
	int	rvolume(void);
	int	rmaster_volume(void);
	WINDOW	*rinput_window(void);
	WINDOW	*rhelp_window(void);
	void	clr_refresh(class stuff *, class playlist &, class player &pl);
	void	key_down(class stuff *, class playlist &, class player &pl);
	void	key_down_without_draw(class stuff *, class playlist &, class player &pl);
	void	key_up(class stuff *, class playlist &, class player &pl);
	void	key_ppage(class stuff *, class playlist &, class player &pl);
	void	key_npage(class stuff *, class playlist &, class player &pl);
	void	key_home(class stuff *, class playlist &, class player &pl);
	void	key_end(class stuff *, class playlist &, class player &pl);
	void	set_song_range_and_offset(int, int);
	void	set_song_offset(int);
	void	set_song_timecode(char *);
	void	set_song_duration(char *);
	void	set_song_info(char *);
	void	set_balance(int);
	void	set_volume(int);
	void	set_master_volume(int);
	void	set_mvb(int, int, int);
};

#endif
